player_limb_data Struct Reference

Data: state (PLAYER_LIMB_DATA) More...

`#include <player_interfaces.h>`

## Public Attributes

player_point_3d_t | position
| The position of the end effector (in robot coordiantes). More...
player_point_3d_t | approach
| The approach vector of the end effector. More...
player_point_3d_t | orientation
| The orientation vector of the end effector (a vector in a predefined direction on the end effector, generally from fingertip to fingertip). More...
uint8_t | state
| The state of the limb. More...

## Detailed Description

Data: state (PLAYER_LIMB_DATA)

The limb data packet.

## Member Data Documentation

player_point_3d_t player_limb_data::approach

The approach vector of the end effector.

player_point_3d_t player_limb_data::orientation

The orientation vector of the end effector (a vector in a predefined direction on the end effector, generally from fingertip to fingertip).

player_point_3d_t player_limb_data::position

The position of the end effector (in robot coordiantes).

uint8_t player_limb_data::state

The state of the limb.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45